Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class ClosurePoint

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDOUserException
                                          |
                                          +--com.solarmetric.kodo.runtime.ClosurePoint

All Implemented Interfaces:
  Serializable

public class ClosurePoint
extends JDOUserException

A ClosurePoint represents a marker for when a closeable object (such as a Query or PersistenceManager) was closed. The stack trace will be embedded in exceptions when an operation is attempted on a closed object.

See Also:
  Serialized Form

Fields inherited from class javax.jdo.JDOException
`failed, nested`

Constructor Summary
`ClosurePoint()`

Method Summary
`void` | `closeException()` Throw a JDOUserException indicating that we have already been closed, using this stack trace as an embedded stack.

Methods inherited from class javax.jdo.JDOException
`, getFailedObject, getNestedExceptions, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClosurePoint

    public ClosurePoint()

Method Detail

### closeException

    public void closeException()

  Throw a JDOUserException indicating that we have already been closed, using this stack trace as an embedded stack.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.